Bug 1120427 - Need to migrate data model attribute from repository.feed -> repository.url
Summary: Need to migrate data model attribute from repository.feed -> repository.url
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 22:19 UTC by Partha Aji
Modified: 2016-04-22 16:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:25:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6097 None None None 2016-04-22 16:33:46 UTC

Description Partha Aji 2014-07-16 22:19:26 UTC
On https://github.com/Katello/katello/blob/master/app/models/katello/repository.rb#L90
repository model has code that looks like =>  alias_attribute :url, :feed
And the controllers return "url" instead of "feed". This creates an inconsistency between the data model and the controllers. We need to address this by migrating the model from feed => url and change the place in code where "feed" is used.

Comment 1 Partha Aji 2014-07-16 22:19:27 UTC
Created from redmine issue http://projects.theforeman.org/issues/6097

Comment 2 Partha Aji 2014-07-16 22:19:30 UTC
Upstream bug assigned to paji@redhat.com

Comment 4 Partha Aji 2014-07-31 18:10:22 UTC
should be fixed when  https://github.com/Katello/katello/pull/4448 gets merged

Comment 5 Bryan Kearney 2014-08-04 22:04:01 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6097 has been closed
-------------
Partha Aji
Applied in changeset commit:katello|e67cfb73389d6485bb2ffc1a7583bb53fb51ceae.

Comment 8 sthirugn@redhat.com 2014-09-04 20:57:09 UTC
Marking this Verified since this is a developer task and the upstream issue is closed. Please open new bugs if necessary.

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

Comment 9 Bryan Kearney 2014-09-11 12:25:20 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.